/* ----------------------------------------------------------------------
   The SINUS Firewall -- a TCP/IP packet filter for Linux

   Written within the SINUS project at the University of Zurich,
   SWITCH, Telekurs Payserv AG, ETH Zurich.
   originally based on the sf Firewall Software (C) 1996 by Robert
   Muchsel and Roland Schmid.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

   SINUS Firewall resources:
   SINUS Homepage: http://www.ifi.unizh.ch/ikm/SINUS/
   Firewall Homepage: http://www.ifi.unizh.ch/ikm/SINUS/firewall.html
   Frequently asked questions: http://www.ifi.unizh.ch/ikm/SINUS/sf_faq.html
   Mailing list for comments, questions, bug reports: firewall@ifi.unizh.ch
   ----------------------------------------------------------------------  */


/*
 * Exported functions and variables for the sf firewall user mode log module.
 *
 * $Id: sf_daemon.h,v 1.11 1995/08/05 11:50:15 robby Rel $
 */

#ifndef _SF_DAEMON_H
#define _SF_DAEMON_H

#define SF_CMD_DAEMON_MAGIC	 0xdeadbabe
#define SF_CMD_DAEMON_RULES	 1
#define SF_CMD_DAEMON_TCPKILL	 2
#define SF_CMD_DAEMON_FLUSH_ALL  3
#define SF_CMD_DAEMON_RESETUSAGE 4

extern int fdlock;		/* file descriptors for the lock file */
extern int fddev;		/* and the firewall device */
extern time_t usage_since;	/* last usage counter reset time */

extern struct sf_fw rule_spoof;	/* rule for spoofing */
extern struct sf_fw rule_oversized;	/* rule for oversized packets */

extern void init_log(void);	/* initialize the data structures */
extern void start_log(char *);	/* start the log function */
extern time_t add_event(void (*proc) (int, int), int, int, int);

extern void log_entry(char *);	/* write message to log file */
extern void crit_error(char *); /* Critical error: Try to log the error if possible, then stop. */

					/* Add event to the event queue */
extern void prepare_for_exec(void);	/* prepare for exec */
extern FILE *mail(char *addressee);	/* create a mail handle to addressee */

extern void daemon_resetusage(void); /* reset usage counter */

#endif
